Skip to content

Paginated inbound RTB request list

GET
/api/v1/inbound-rtb/requests
curl --request GET \
--url 'https://external-api.moja-ai.com/api/v1/inbound-rtb/requests?start_date=example&end_date=example&limit=20&offset=0' \
--header 'X-API-Key: <X-API-Key>'
start_date
required
Start Date

Start of date range filter on irr.created_at.

string

Start of date range filter on irr.created_at.

end_date
required
End Date

End of date range filter on irr.created_at.

string

End of date range filter on irr.created_at.

campaign_id
Any of:
string
publisher_id
Any of:
string
buyer_id
Any of:
string
search
Any of:
string
sort
Any of:
string

One of: created_at, campaign_name, publisher_name, buyer_name, target_number, caller_id, duration, publisher_payout, total_routes, eligible_routes_count.

sort_direction
Any of:
string

‘asc’ or ‘desc’.

limit
Limit
integer
default: 20 >= 1 <= 200
offset
Offset
integer
0
X-API-Key
Any of:
string

Successful Response

Media typeapplication/json
InboundRtbRequestsListResponse
object
data
required
Data
Array<object>
InboundRtbRequestListRow
object
request_id
Any of:
string
inbound_rtb_id
Any of:
string
created_at
Any of:
string format: date-time
caller_id
Any of:
string
total_routes
Any of:
integer
eligible_routes_count
Any of:
integer
call_log_id
Any of:
string
duration
Any of:
integer
error
Any of:
string
publisher_payout
Any of:
number
target_number
Any of:
string
buyer_id
Any of:
string
campaign_id
Any of:
string
campaign_name
Any of:
string
publisher_id
Any of:
string
publisher_name
Any of:
string
buyer_name
Any of:
string
key
additional properties
any
meta
required
PaginatedResponseMeta
object
limit
required
Limit
integer
offset
required
Offset
integer
count
required
Count
integer
total
required
Total
integer
has_more
required
Has More
boolean
next_offset
Any of:
integer
previous_offset
Any of:
integer
Examplegenerated
{
"data": [
{
"request_id": "example",
"inbound_rtb_id": "example",
"created_at": "2026-04-15T12:00:00Z",
"caller_id": "example",
"total_routes": 1,
"eligible_routes_count": 1,
"call_log_id": "example",
"duration": 1,
"error": "example",
"publisher_payout": 1,
"target_number": "example",
"buyer_id": "example",
"campaign_id": "example",
"campaign_name": "example",
"publisher_id": "example",
"publisher_name": "example",
"buyer_name": "example"
}
],
"meta": {
"limit": 1,
"offset": 1,
"count": 1,
"total": 1,
"has_more": true,
"next_offset": 1,
"previous_offset": 1
}
}

Bad Request

Media typeapplication/json
ErrorResponse
object
detail
required
ErrorBody
object
code
required
Code
string
message
required
Message
string
Examplegenerated
{
"detail": {
"code": "example",
"message": "example"
}
}

Unauthorized

Media typeapplication/json
ErrorResponse
object
detail
required
ErrorBody
object
code
required
Code
string
message
required
Message
string
Examplegenerated
{
"detail": {
"code": "example",
"message": "example"
}
}

Not Found

Media typeapplication/json
ErrorResponse
object
detail
required
ErrorBody
object
code
required
Code
string
message
required
Message
string
Examplegenerated
{
"detail": {
"code": "example",
"message": "example"
}
}

Conflict

Media typeapplication/json
ErrorResponse
object
detail
required
ErrorBody
object
code
required
Code
string
message
required
Message
string
Examplegenerated
{
"detail": {
"code": "example",
"message": "example"
}
}

Validation Error

Media typeapplication/json
HTTPValidationError
object
detail
Detail
Array<object>
ValidationError
object
loc
required
Location
Array
msg
required
Message
string
type
required
Error Type
string
input
Input
ctx
Context
object
Examplegenerated
{
"detail": [
{
"loc": [
"example"
],
"msg": "example",
"type": "example",
"input": "example",
"ctx": {}
}
]
}

Too Many Requests

Media typeapplication/json
ErrorResponse
object
detail
required
ErrorBody
object
code
required
Code
string
message
required
Message
string
Examplegenerated
{
"detail": {
"code": "example",
"message": "example"
}
}